
#ifndef __BTN_H
#define __BTN_H

#include <stdint.h>
#include "stm32756g_eval_ts.h"
#include "GUI.h"

typedef struct
{
    uint16_t x0;
    uint16_t y0;
    uint16_t x1;
    uint16_t y1;
} btn_area_t;


#define BTN_ACTIVE    1
#define BTN_INACTIVE  0


void draw_button(btn_area_t *btn_area, uint8_t active, const char * str);
uint32_t get_button(TS_StateTypeDef *touch_state, btn_area_t *btn_area, uint8_t btn_cnt);



#endif /* __BTN_H */


