
#ifndef __SLDR_H
#define __SLDR_H

#include <stdint.h>
#include "stm32756g_eval_ts.h"
#include "GUI.h"

typedef struct
{
    uint16_t x0;
    uint16_t y0;
    uint16_t x1;
    uint16_t y1;
    uint16_t pos;
    uint16_t pos_prev;
    uint16_t scale;
} sldr_area_t;


// #define CHCK_ACTIVE   1
// #define CHCK_INACTIVE 0
// 
// 
// 
void draw_slider_h(sldr_area_t *sldr_area);
void draw_slider_v(sldr_area_t *sldr_area);

uint32_t get_slider_h(TS_StateTypeDef *touch_state, sldr_area_t *sldr_area, uint8_t sldr_cnt);
uint32_t get_slider_v(TS_StateTypeDef *touch_state, sldr_area_t *sldr_area, uint8_t sldr_cnt);



#endif /* __SLDR_H */


